/**
 * @license
 * Copyright 2021 Red Hat
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { ElementRef, EventEmitter, QueryList } from "@angular/core";
import { ModalDirective } from "ngx-bootstrap/modal";
import { ExtensibleNode } from "apicurio-data-models";
import { CodeEditorMode } from "../../../../../../components/common/code-editor.component";
export declare class AddExtensionDialogComponent {
    onAdd: EventEmitter<any>;
    addExtensionModal: QueryList<ModalDirective>;
    addExtensionInput: QueryList<ElementRef>;
    private _isOpen;
    private _parent;
    name: string;
    _value: string;
    set value(value: string);
    get value(): string;
    extensionExists: boolean;
    nameValid: boolean;
    valueValid: boolean;
    /**
     * Called to open the dialog.
     */
    open(parent: ExtensibleNode): void;
    /**
     * Called to close the dialog.
     */
    close(): void;
    /**
     * Called when the user clicks "add".
     */
    add(): void;
    /**
     * Called when the user clicks "cancel".
     */
    cancel(): void;
    /**
     * Returns true if the dialog is open.
     * @return
     */
    isOpen(): boolean;
    /**
     * Called to initialize the selection/focus to the addExtensionInput field.
     */
    doSelect(): void;
    validateName(name: string): void;
    valueEditorMode(): CodeEditorMode;
    validateValue(): void;
}
